Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Proactor_Impl.h File Reference

`#include "ace/config-all.h"`
`#include "ace/Asynch_IO.h"`
`#include "ace/Reactor.h"`
`#include "ace/Countdown_Time.h"`

Include dependency graph for Proactor_Impl.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACE_Proactor_Impl
| A manager for asynchronous event demultiplexing. This class is the base class for all the concrete implementation classes. More...

## Detailed Description

Id
  Proactor_Impl.h,v 4.26 2006/02/10 10:18:16 jwillemsen Exp

Author:
  Alexander Babu Arulanthu <alex@cs.wustl.edu>

  Alexander Libman <alibman@ihug.com.au>